<div class="pt-28 md:pt-36 lg:pt-40 xl:pt-44">
  <div class="text-center">
    <h2 class="text-2xl min[425px]:text-xl md:text-3xl xl:text-4xl relative">
      La Virée <span class="text-orange-500 font-medium">Blog</span>
    </h2>
    <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-14 border-t-2 border-orange-500">
    <p class="mb-4 mt-6 md:mx-20 lg:mx-0 italic">Parcourez nos articles sur les produits et les régions, suivez nos actualités et la presse qui parle de nous.</p>
    <input class="border p-2 rounded border-slate-300" type="text" placeholder="Rechercher un blog ..." />
  </div>
  <div class="flex justify-center gap-10 mt-10 flex-wrap relative">
    @for(post of article; track post.ID_article){
      <div (click)="navigateToBlog(post.article_title)" class="relative group hover:cursor-pointer">
        <img class="h-72 w-72 object-cover object-center inset-0 bg-cover bg-center filter brightness-65 blur-[3px] transform transition-transform duration-300 group-hover:translate-y-[-5px]" src={{post.article_image}} alt="blog">
        <div class="absolute inset-0 flex justify-center items-center transform transition-transform duration-300 group-hover:translate-y-[-5px]">
          <span class="text-white text-center font-medium text-2xl">{{post.article_title}}</span>
        </div>
      </div>
    }
  </div>
  <div class="flex justify-center">
    <app-pagination
      [totalItems]="totalItems"
      [itemsPerPage]="itemsPerPage"
      (pageChange)="onPageChange($event)">
    </app-pagination>
  </div>
</div>
